// pages/myCertificate/myCertificate.js
var app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    certificateList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    //获取用户的证书
    this.getMyCertificateList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
  },

  //获取用户的证书
  getMyCertificateList() {
    var that = this;
    //获取用户的证书
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_my_certificates.php',
      data: {
        unionId: config.unionId
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        that.setData({
          certificateList: res.data.result.certificateList
        })
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //证书申领
  getCertificate() {
    //获取用户的证书
    wx.navigateTo({
      url: '../getCertificate/getCertificate'
    })
    return;
    
  }
 
})